Post ATB store window
curl --request POST \
--url https://app.aegister.com/api/v1/atb/{id}/store-window/ \
--header 'Content-Type: application/json' \
--header 'X-Aegister-Token: <api-key>' \
--data '
{
"date": 123,
"start_ts": 123,
"end_ts": 123,
"total_requests": 123,
"malicious_requests": 123,
"log_messages": [
{}
]
}
'import requests
url = "https://app.aegister.com/api/v1/atb/{id}/store-window/"
payload = {
"date": 123,
"start_ts": 123,
"end_ts": 123,
"total_requests": 123,
"malicious_requests": 123,
"log_messages": [{}]
}
headers = {
"X-Aegister-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Aegister-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
date: 123,
start_ts: 123,
end_ts: 123,
total_requests: 123,
malicious_requests: 123,
log_messages: [{}]
})
};
fetch('https://app.aegister.com/api/v1/atb/{id}/store-window/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": 0,
"messages": "<array>",
"data": {
"message": "<string>",
"logs_processed": 123,
"start_ts": 123,
"end_ts": 123
}
}Store Window
Post ATB store window
Ingest a batch of traffic log entries and aggregate them into time-bucketed statistics.
POST
/
api
/
v1
/
atb
/
{id}
/
store-window
/
Post ATB store window
Authorizations
ApiKeyAuthApiKeyQueryParam
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Timestamp of the log batch.
Start timestamp of the window.
End timestamp of the window.
Total number of requests in this window.
Number of malicious requests detected.
Array of traffic log entries with src_ip, dst_ip, action, timestamp, traffic_direction, src_port, dst_port, fw_rule, malicious fields.
Show child attributes
Show child attributes
⌘I

